1. Home
  2. Knowledge Base
  3. General Support
  4. COMPATIBILITY
  5. Connect+ Installer App Compatibility

The Connect+ Installer App is available on the iOS App Store and is compatible with the following Apple products.

 

iPhone: iPhone 4S and later.

iPad: iPad 3 and later.

iPad Mini: Original iPad mini and later.

iPod Touch: iPod 5th Generation and later.

All devices have Bluetooth 4.0 or later and have the ability to run in BlueTooth Peripheral mode, which is used to join the panel. Cellular data plan is not required on cellular capable devices.

 

If your device is on the compatibility list and you are unable to join CLICK HERE!

Was this article helpful?